tt_message_opnum(library call)

NAME
tt_message_opnum — retrieve the operation number attribute from a message

SYNOPSIS

#include &<Tt/tt_c.h>
int tt_message_opnum(
Tt_message m);

DESCRIPTION

The tt_message_opnum function retrieves the operation number attribute from the specified message.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_opnum function returns the number of the operation involved in this message. The application can use tt_int_error(3) to extract one of the following Tt_status values from the returned integer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_int_error(3).